
Ruby - Bug #17531

`did_you_mean` not Ractor friendly

01/12/2021 07:30 PM - marcandre (Marc-Andre Lafortune)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

ruby -v: 3.0.0p0 Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7:

UNKNOWN, 3.0: UNKNOWN

Description

The gem did_you_mean uses a class instance variable that does not work with Ractor.

$ RUBYOPT='--disable-did_you_mean' ruby -W0 -e 'Ractor.new{ begin ; nil + 42; rescue Exception => 

e; e.to_s end}.take'

# => prints nothing (ok)

$ ruby -W0 -e 'Ractor.new{ begin ; nil + 42; rescue Exception => e; e.to_s end}.take'

# Prints

/Users/mal/.rbenv/versions/3.0.0/lib/ruby/3.0.0/did_you_mean.rb:102:in `formatter'

/Users/mal/.rbenv/versions/3.0.0/lib/ruby/3.0.0/did_you_mean/core_ext/name_error.rb:9:in `to_s'

-e:1:in `rescue in block in <main>'

-e:1:in `block in <main>'

# (not ok)

History

#1 - 01/12/2021 10:19 PM - marcandre (Marc-Andre Lafortune)

Typo: I meant a class variable, not a class instance variable.

#2 - 01/29/2021 08:48 AM - ko1 (Koichi Sasada)

- Assignee changed from yuki24 (Yuki Nishijima) to ko1 (Koichi Sasada)

#3 - 08/24/2023 08:30 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed

This was fixed, did_you_mean is now Ractor-friendly: https://github.com/ruby/did_you_mean/commit/8faba54b2d3ec9aa570691775f143801308c5b2f

Powered by TCPDF (www.tcpdf.org)

06/21/2025 1/1

https://github.com/ruby/did_you_mean/commit/8faba54b2d3ec9aa570691775f143801308c5b2f
http://www.tcpdf.org

